function plotAntitheticBS_MC(S,K,r,sigma,T,N,Z)
    %Z = randn(N,1) ;
    nZ = -Z ;
    call = zeros(N,1) ;
    conf = zeros(N,1) ;
    for i=1:N
        pS_fin = S * exp((r-0.5*sigma^2)*T + sigma*sqrt(T)*Z(1:i,1)) ;
        nS_fin = S * exp((r-0.5*sigma^2)*T + sigma*sqrt(T)*nZ(1:i,1)) ;
        resCp = max(pS_fin - K, 0) ;
        resCn = max(nS_fin - K, 0) ;
        resC = 0.5 * (resCp + resCn) ;
        call(i) = exp(-r*T)*mean(resC) ;
        var = sum((resC-mean(resC)).^2)/(i) ;
        conf(i) = 1.96*var/sqrt(i) ;
    end
    plot(call,'r') ;
    plot(conf,'r') ;
end