function plotBS_MC(S,K,r,sigma,T,N,Z)
    %Z = randn(N,1) ;
    call = zeros(N,1) ;
    conf = zeros(N,1) ;
    for i=1:N
        S_fin = S * exp( (r-0.5*sigma^2)*T + sigma*sqrt(T)*Z(1:i,1)) ;
        resC = max(S_fin - K, 0) ;
        call(i) = exp(-r*T) * mean(resC) ;
        var = sum((resC-mean(resC)).^2)/(i) ;
        conf(i) = 1.96*var/sqrt(i) ;
    end
    plot(call) ;
    plot(conf) ;
end