function plotControlBS_MC(S,K,r,sigma,T,N,Z)
    %Z = randn(N,1) ;
    call = zeros(N,1) ;
    conf = zeros(N,1) ;
    for i=1:N
        S_fin = S*exp((r-0.5*sigma^2)*T + sigma*sqrt(T)*Z(1:i,1)) ;
        resC = max(S_fin - K, 0) ;
        newC = resC - mean(resC) ;
        newS = S_fin - mean(S_fin) ;
        bC = mean(newC.*newS)/mean(newS.*newS) ;
        finalC = resC - bC*(S_fin - exp(r*T)*S) ;
        call(i) = exp(-r*T) * mean(finalC) ;
        var = sum((finalC-mean(finalC)).^2)/(i) ;
        conf(i) = 1.96*var/sqrt(i) ;
    end
    plot(call,'g') ;
    plot(conf,'g') ;
end

